{

    "AbilityName" : "LaserBeam_SpecialEffect",

    "AbilityStacking":"Unique",



    "AbilityMixins" : 

    [

        {

            "$type" : "MoleMole.AttachStateWithModifierMixin",

            "ConfigList":

            [

                {

                    "AnimatorStateName": "Idle",

                    "LayerIndex": 0,

                    "NormalizedTimeLow": 0.0,

                    "NormalizedTimeHigh": 1.0,

                    "IsLoop": true,

                    "ModifierNameList":

                    [

                        "SepcialEffectModifier_01"

                    ] 

                }

            ]

        }

    ],



    "Modifiers" : 

    {

        "SepcialEffectModifier_01":

        {

            "ModifierStacking": "Unique",

            "Duration": -1,



            "OnAdded" :  

            [

                {

                    "$type": "MoleMole.AttachEffect",

                    "EffectPattern": "Eff_Device_LaserBeam_AimLine",

                    "Target": "Self",

                    "AttachEffectPosRot" : 

                    {

                        "CoordsOption" : "ReferTarget",

                        "TargetOption" : 

                        {

                            "$type" : "MoleMole.ConfigPosRotReferTarget",

                            "OffsetReferTarget" : "Self",

                            "AttachPoint" : "GunPoint_01",

                            "IsUseAttachPointPos" : true,

                            "IsUseAttachPointRotation" : true

                        },

                        "Offset" : 

                        {

                            "PositionOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "AngleOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "IsUseRotationY" : true,

                            "IsUseRotationXZ" : false

                        }

                    }

                },

                {

                    "$type": "MoleMole.AttachEffect",

                    "EffectPattern": "Eff_Device_LaserBeam_AimLine",

                    "Target": "Self",

                    "AttachEffectPosRot" : 

                    {

                        "CoordsOption" : "ReferTarget",

                        "TargetOption" : 

                        {

                            "$type" : "MoleMole.ConfigPosRotReferTarget",

                            "OffsetReferTarget" : "Self",

                            "AttachPoint" : "GunPoint_02",

                            "IsUseAttachPointPos" : true,

                            "IsUseAttachPointRotation" : true

                        },

                        "Offset" : 

                        {

                            "PositionOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "AngleOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "IsUseRotationY" : true,

                            "IsUseRotationXZ" : false

                        }

                    }

                }

            ]

        }

    }

}